weapons = {
    "PICKUP_WEAPON_PISTOL",
	"PICKUP_WEAPON_SMG",
	"PICKUP_WEAPON_ASSAULTRIFLE"
} -- weaponnames (seperated by comma) of the weapons wich should spawn
local interval_min = 4 -- minimum time to wait, before the next weapon spawns (in minutes) (per player)
local interval_max = 10 -- maximum time to wait, before the next weapon spawns (in minutes) (per player)
local max_weapons = 200 -- maximum amount of weapons on the map at a time

--- END OF CONFIGURATION
RequestModel(0x0D7114C9)
containers = {}
Citizen.CreateThread(function()
    while true do
        Wait(math.random(tonumber(interval_min * 60000), tonumber(interval_max * 60000)))
        if(#containers < max_weapons) then
            hash = weapons[math.random(#weapons)]
            playerCoords = GetEntityCoords(GetPlayerPed(-1))
            x = math.floor(tonumber(playerCoords.x))
            y = math.floor(tonumber(playerCoords.y))
            x = math.random(x - 50, x + 50)
            y = math.random(y - 50, y + 50)
            TriggerServerEvent("wprains:createPickup", hash, x, y)
        end
    end
end)

Citizen.CreateThread(function()
    while true do
        Wait(5000)
        for i in pairs(containers) do
            if(HasPickupBeenCollected(containers[i].pickup)) then
                RemoveBlip(containers[i].blip)
                RemovePickup(containers[i].pickup)
                table.remove(containers, i)
            end
        end
    end
end)

RegisterNetEvent("wprain:createPickup")
AddEventHandler("wprain:createPickup", function(wep, x, y)
    temp_ped = CreatePed(1, 0x0D7114C9, tonumber(x .. ".0"), tonumber(y .. ".0"), 1000.0, 0.0, 0, 1)
    FreezeEntityPosition(temp_ped, 1)
    temp_height = GetEntityHeightAboveGround(temp_ped)
    DeletePed(temp_ped)
    created_pickup = CreatePickupRotate(wep, tonumber(x .. ".0"), tonumber(y .. ".0"), tonumber(1000 - temp_height + 1.5), 0.0, 0.0, 0.0, 512, GetMaxAmmoInClip(GetPlayerPed(-1), wep, 1))
    created_blip = AddBlipForPickup(created_pickup)
    SetBlipSprite(created_blip, 150)
    table.insert(containers, { pickup = created_pickup, blip = created_blip })
end)